| eRPC API Reference Rev. 1.8.1 NXP Semiconductors

- Main Page
- API Reference
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
erpc::RPMsgLinuxTransport Class Reference
Transport Layers » RPMsg Endpoints

RPMSG Linux transport to send/receive messages through RPMSG endpoints based on github.com/NXPmicro/rpmsg-sysfs/tree/0aa1817545a765c200b1b2f9b6680a420dcf9171 implementation. More...

`#include <erpc_rpmsg_linux_transport.h>`

Inheritance diagram for erpc::RPMsgLinuxTransport:
[legend]
Collaboration diagram for erpc::RPMsgLinuxTransport:
[legend]

## Public Member Functions
| RPMsgLinuxTransport (RPMsgEndpoint *endPoint, int16_t remote)
| Constructor to set RPMsg endpoint and remote address.
erpc_status_t | init (void)
| This function initializes Linux environment for sending and receiving messages. More...
virtual erpc_status_t | receive (MessageBuffer *message)
| This function receives the eRPC messages. More...
virtual erpc_status_t | send (MessageBuffer *message)
| This function sends the eRPC messages. More...
Public Member Functions inherited from erpc::Transport
| Transport (void)
| Constructor.
virtual | ~Transport (void)
| Transport destructor.
virtual bool | hasMessage (void)
| Poll for an incoming message. More...
virtual void | setCrc16 (Crc16 *crcImpl)
| This functions sets the CRC-16 implementation. More...

## Detailed Description

RPMSG Linux transport to send/receive messages through RPMSG endpoints based on github.com/NXPmicro/rpmsg-sysfs/tree/0aa1817545a765c200b1b2f9b6680a420dcf9171 implementation.

## Member Function Documentation

erpc_status_t RPMsgLinuxTransport::init | ( | void |  | ) |

This function initializes Linux environment for sending and receiving messages.

Return values

  kErpcStatus_Success | When environment was set successfully.
  kErpcStatus_Fail | When environment wasn't set successfully.

erpc_status_t RPMsgLinuxTransport::receive | ( | MessageBuffer * | message | ) |
| virtual

This function receives the eRPC messages.

Parameters

  [in] | message | Message to receive.

Return values

  kErpcStatus_Success | When message was received successfully.
  kErpcStatus_Fail | When message wasn't received successfully.

Implements erpc::Transport.

erpc_status_t RPMsgLinuxTransport::send | ( | MessageBuffer * | message | ) |
| virtual

This function sends the eRPC messages.

Parameters

  [in] | message | Message to send.

Return values

  kErpcStatus_Success | When message was sent successfully.
  kErpcStatus_Fail | When message wasn't sent successfully.

Implements erpc::Transport.

The documentation for this class was generated from the following files:

- erpc_rpmsg_linux_transport.h
- erpc_rpmsg_linux_transport.cpp